linux-keystone: 3.13.0-15.25 -proposed tracker

Bug #1376554 reported by Ike Panhc on 2014-10-02
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Ike Panhc
Automated-testing
Medium
Unassigned
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Ike Panhc
Prepare-package-meta
Medium
Ike Panhc
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Ike Panhc
Security-signoff
Medium
Unassigned
Upload-to-ppa-dnu
Medium
Unassigned
Verification-testing
Medium
Ike Panhc
linux-keystone (Ubuntu)
Medium
Unassigned
Trusty
Medium
Ike Panhc

Bug Description

This bug is for tracking the 3.13.0-15.25 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Thursday, 02. October 2014 04:13 UTC
kernel-stable-master-bug:1372576
kernel-stable-Certification-testing-end:Thursday, 02. October 2014 05:01 UTC
kernel-stable-Security-signoff-end:Thursday, 02. October 2014 05:01 UTC
kernel-stable-Prepare-package-end:Thursday, 02. October 2014 09:02 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 02. October 2014 09:02 UTC
ppa-package-testing-start:Thursday, 02. October 2014 09:02 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 02. October 2014 21:43 UTC
kernel-stable-Verification-testing-start:Thursday, 02. October 2014 23:01 UTC
kernel-stable-Regression-testing-start:Thursday, 02. October 2014 23:01 UTC
kernel-stable-Verification-testing-end:Friday, 03. October 2014 03:01 UTC
kernel-stable-Regression-testing-end:Friday, 03. October 2014 09:04 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 08. October 2014 12:03 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 08. October 2014 18:57 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 08. October 2014 20:10 UTC

Ike Panhc (ikepanhc) on 2014-10-02
Changed in linux-keystone (Ubuntu):
status: New → Invalid
importance: Undecided → Medium
Brad Figg (brad-figg) on 2014-10-02
description: updated
Ike Panhc (ikepanhc) on 2014-10-02
description: updated
Changed in linux-keystone (Ubuntu Trusty):
assignee: nobody → Ike Panhc (ikepanhc)
status: New → In Progress
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Chris J Arges (arges) wrote :

Promoted-to-proposed:
 linux-keystone | 3.13.0-15.25 | trusty-proposed | source
 linux-meta-keystone | 3.13.0.15.13 | trusty-proposed | source

Brad Figg (brad-figg) on 2014-10-02
description: updated
Brad Figg (brad-figg) on 2014-10-02
description: updated
Ike Panhc (ikepanhc) wrote :

Rebase only

Brad Figg (brad-figg) on 2014-10-03
description: updated
Ike Panhc (ikepanhc) wrote :

Smoke functional test (SMP, LPAE, ethernet, sata, reboot) passed.

The regression-testing task was set to Fix Released but neither the qa-testing-passed or qa-testing-failed tag was applied

Changed in kernel-sru-workflow:
status: In Progress → Incomplete
description: updated
Ike Panhc (ikepanhc) on 2014-10-03
tags: added: qa-testing-passed
Changed in kernel-sru-workflow:
status: Incomplete → In Progress
Brad Figg (brad-figg) on 2014-10-03
description: updated
Brad Figg (brad-figg) on 2014-10-08
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (16.4 KiB)

This bug was fixed in the package linux-keystone - 3.13.0-15.25

---------------
linux-keystone (3.13.0-15.25) trusty; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1376554
  * Rebase to Ubuntu-3.13.0-37.64

  [ Ubuntu: 3.13.0-37.64 ]

  * Release Tracking Bug
    - LP: #1372576
  * [Config] CONFIG_HW_RANDOM_XGENE=m on arm64
  * SAUCE: Add use_native_backlight quirk for Dell Inspiron 5721/3521
    - LP: #1354253, #1354313
  * SAUCE: Fix nfs oops stable regression
    - LP: #1348670
  * [Config] Add mpt3sas to d-i
    - LP: #1368907
  * [Config] CONFIG_X86_16BIT=y
    - LP: #1371601
  * SAUCE: i915_bdw: Rebase to v3.15.8
    - LP: #1359213
  * Revert "x86-64, modify_ldt: Make support for 16-bit segments a runtime
    option"
    - LP: #1371601
  * mmc: rtsx: add R1-no-CRC mmc command type handle
    - LP: #1365378
  * rpc_pipe: remove the clntXX dir if creating the pipe fails
    - LP: #1365869
  * sunrpc: add an "info" file for the dummy gssd pipe
    - LP: #1365869
  * rpc_pipe: fix cleanup of dummy gssd directory when notification fails
    - LP: #1365869
  * hwrng: xgene - add support for APM X-Gene SoC RNG support
    - LP: #1365593
  * Documentation: rng: Add X-Gene SoC RNG driver documentation
    - LP: #1365593
  * arm64: dts: add random number generator dts node to APM X-Gene
    platform.
    - LP: #1365593
  * xen/balloon: cancel ballooning if adding new memory failed
    - LP: #1304001
  * x86/xen: resume timer irqs early
    - LP: #1368724
  * xen/manage: Always freeze/thaw processes when suspend/resuming
    - LP: #1368724
  * scsi_transport_sas: move bsg destructor into sas_rphy_remove
    - LP: #1368991
  * drm/i915: Enable 5.4Ghz (HBR2) link rate for Displayport 1.2-capable
    devices
    - LP: #1369633
  * bnx2x: Fix link for KR with swapped polarity lane
    - LP: #1370716
  * drm: add DRM_CAPs for cursor size
    - LP: #1359213
  * drm/dp: Add AUX channel infrastructure
    - LP: #1359213
  * drm/dp: Add drm_dp_dpcd_read_link_status()
    - LP: #1359213
  * drm/dp: Add DisplayPort link helpers
    - LP: #1359213
  * drm/dp: Allow registering AUX channels as I2C busses
    - LP: #1359213
  * drm/dp: let drivers specify the name of the I2C-over-AUX adapter
    - LP: #1359213
  * drm/dp: make aux retries less chatty
    - LP: #1359213
  * Bluetooth: Enable Atheros 0cf3:311e for firmware upload
    - LP: #1371477
  * bnx2x: fix crash during TSO tunneling
    - LP: #1371601
  * inetpeer: get rid of ip_id_count
    - LP: #1371601
  * ip: make IP identifiers less predictable
    - LP: #1371601
  * tcp: Fix integer-overflows in TCP veno
    - LP: #1371601
  * tcp: Fix integer-overflow in TCP vegas
    - LP: #1371601
  * macvlan: Initialize vlan_features to turn on offload support.
    - LP: #1371601
  * net: Correctly set segment mac_len in skb_segment().
    - LP: #1371601
  * iovec: make sure the caller actually wants anything in
    memcpy_fromiovecend
    - LP: #1371601
  * batman-adv: Fix out-of-order fragmentation support
    - LP: #1371601
  * sctp: fix possible seqlock seadlock in sctp_packet_transmit()
    - LP: #1371601
  * sparc64: Fix argument sign extension for compat_sys_futex().
    - LP: #137160...

Changed in linux-keystone (Ubuntu Trusty):
status: In Progress → Fix Released
status: In Progress → Fix Released
Brad Figg (brad-figg) on 2014-10-08
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers